Page MenuHomePhabricator

Align Popups to WikimediaUI color palette
Closed, ResolvedPublic

Description

Align Popups to WikimediaUI color palette, most of it has been done already in https://gerrit.wikimedia.org/r/#/c/383032/
Remaining are the SVG colors.

Testing criteria

Several icons have been optimised and had color changes. Be sure to check in both RTL and LTR mode. We are not expecting any change in visual appearance from before other than the colors being different.

  • Check sad face when viewing a page preview without a summary
  • Check the settings dialog with and without navpopup gadget
  • Check the beta feature icon

Event Timeline

Volker_E created this task.Oct 15 2017, 8:27 PM

Change 384432 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/extensions/Popups@master] Optimize SVGs and align colors to WikimediaUI palette

https://gerrit.wikimedia.org/r/384432

Change 384432 merged by jenkins-bot:
[mediawiki/extensions/Popups@master] Optimize SVGs and align colors to WikimediaUI palette

https://gerrit.wikimedia.org/r/384432

Jdlrobson updated the task description. (Show Details)
ovasileva reassigned this task from Volker_E to ABorbaWMF.Oct 17 2017, 4:10 PM
ovasileva added subscribers: ABorbaWMF, ovasileva.

over to you @ABorbaWMF

Change 386254 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/core@master] Optimize SVGs and align colors to WikimediaUI palette

https://gerrit.wikimedia.org/r/386254

Sry, task number mistakenly copy&pasted. 386254 doesn't belong here.

We think is good to go @ABorbaWMF. Please take a look!

Oh yes, I worked on this a while ago, but got sidetracked with other stuff. The icons I saw looked good. If we all think this is good to go, I won't stop it :)

over to @Nirzar for signoff

✅ Check sad face when viewing a page preview without a summary
✅ Check the settings dialog with and without navpopup gadget

?? Check the beta feature icon

I think we got rid of the beta feature, so i couldn't verify this. in any case, it should be fine

Macro votecat: looks good

ovasileva closed this task as Resolved.Nov 13 2017, 6:39 PM
Volker_E raised the priority of this task from High to Needs Triage.Jun 1 2018, 2:07 PM
Volker_E moved this task from Backlog to Done on the UI-Standardization-Kanban board.
Restricted Application added a project: Readers-Web-Backlog. · View Herald TranscriptJun 1 2018, 2:07 PM